"Server Sentry"

The Server Automation Tool !


CIRCUIT MASTERS SOFTWARE, INC.
14235 Bissonnet # 77
Houston, Tx 77083
U.S.A.


Sales: (713) 242-9353
Fax: (713) 242-4632

Support: (409) 335-6126
BBS: (409) 335-4786
CIS: 72103,2327



































"SERVER SENTRY" PRODUCT MANUAL

TO OUR VALUED CUSTOMERS,

     Thank You for making the Server Sentry choice.  This powerful product
has been specifically developed to allow you to most efficiently manage and
increase productivity in your network environment.  Once Server Sentry has
been implemented into your facility, you will be pleased with the additional
amount of extra time that you will have to spend in other important areas.

     We place a very high value on feedback from our User's.  Any input,
comments or suggestions that you may have to offer could result  in an
improved Product.  Your input will be most appreciated and certainly
considered in our future releases.  Take a moment and drop us a line.  Our
fax number is 713-242-4632 and your comments are welcome. 

Circuit Masters Software, Inc.
















No part of this document may be reproduced, copied, transmitted, transcribed
or translated in any form or by any means without prior written permission of
Circuit Masters Software, Inc..

Circuit Masters Software, Inc. provides this manual "as is", without warranty
of any kind, either expressed or implied, including to, the limited
warranties of merchantability and fitness for a particular purpose.  Circuit
Masters Software, Inc. may make improvements and/or changes in the products)
and/or the programs described in this manual at any time and
without notice.   

Changes are periodically made to the information herein.  These changes will
be incorporated in new editions of this publication.  Updated  03-01-95. 

Server Sentry is a Trademark of  Circuit Masters Software, Inc..

(c) 1993,94,95 Circuit Masters Software, Inc.. 

All Rights Reserved.



*****************************************************************************
*****************************************************************************


                              FOR IMMEDIATE RELEASE !


Recently, Server Sentry was test driven by a writer from Network World.  The
detailed results of the Product Evaluation can be found in Network World
magazine, the "LAN World" section, Feb. 13, 1995 issue,  page L1, topic:


               "HOT LAN TOOLS RELIEVING NET MANAGEMENT BURDEN"


"Network managers responsible for NetWare file servers shouldn't do without
Server Sentry.  It is simply fundamental for handling ABENDS in a timely,
effective way" states Mark Gibbs, a consultant and writer based in 
Ventura, CA.

****************************************************************************
****************************************************************************












This fully functional demo copy of our "Server Sentry" software product
represents the Server Sentry program, in its entirety.  This document will be
updated regularly until the production version is complete.

This fully functional demo will time out in thirty (30) days from the date in
which you install it.

You have permission to print 1 (one) copy of this documentation solely for
the purpose of evaluating the Server Sentry Demo product.










CONTENTS


Chapter 1                                           Program Overview

Program Overview                                                 1-2
Copyright/Trademark Acknowledgements                             1-2
Features                                                         1-2
Program Overview                                                 1-3


Chapter 2                                              Installation

Hardware Requirements                                            2-2
What You Should Know Before Loading The Server Sentry NLM        2-2
Loading The Server Sentry NLM                                    2-3


Chapter 3                                              The SSPAGE Utility


Chapter 4                               Using The SERVER SENTRY Console

Starting Server Sentry                                           4-2
View ABEND History Database                                      4-2
View ABEND Message                                               4-4
View Register Contents                                           4-5
View Server Screens                                              4-6


Chapter 5                                              Producing Reports

ABEND Technical Data Only                                        5-3
Cost Analysis                                                    5-3
ABEND Technical Data With Cost Analysis                          5-3


Chapter 6                          Managing Cost Reporting Categories

View Categories                                                  6-2
Modify Or Delete A Category                                      6-4
How Calculations Are Performed                                   6-5


Chapter 7                                              Configurations

Define Business Hours                                            7-2
Set Server Sentry Unload Password                                7-4
Set-Up Pager Options                                             7-6
Pager Configuration                                              7-7



Chapter 8                                              Miscellaneous

Testing The Server Sentry NLM                                    8-2
Sample ABEND History Report                                      8-4
Downtime Cost Analysis Overview                                  8-6
















































CHAPTER 1                          SERVER SENTRY - PROGRAM OVERVIEW


Program Overview                                                 1-2
Copyright/Trademark Acknowledgements                             1-2
Features                                                         1-2
Program Overview                                                 1-3


                                                  Program Overview    1-1




INTRODUCTION


As a System Administrator or network manager, we know that you are constantly
looking for economical solutions in which to increase productivity on your
network. Maximum Network Up-Time represents increased productivity and
savings for your company.

The Server Sentry Utility has been specifically designed to automatically
reduce down-time as much as humanly possible.  Furthermore, this NLM will
document ABEND system messages, allowing you to quickly define and trouble
shoot the cause of an ABEND or multiple ABENDS.


COPYRIGHT/TRADEMARK ACKNOWLEDGEMENTS


Server Sentry is a trademark of Circuit Masters Software, Inc.
NetWare is a registered trademark of Novell, Inc..
All other trademarks are of their respective manufacturer.


FEATURES


Record The Exact ABEND (Abnormal End) Messages 
Record All Active Server Screens 
Record O/S Registers 
Automatically Re-boot The Server 
Create a chronological history journal Notify Network Managers Via Pager 
Integrated Console allows viewing of all recorded data. 
Generate Downtime Cost Analysis Reports 
Password Protection





                                                  Program Overview    1-2
PROGRAM OVERVIEW


Server Sentry is an NLM (NetWare Loadable Module) designed to document ABEND
(Abnormal End) system messages and automatically re-boot your servers.  A
mechanism is provided for notifying network managers by way of pager, if a
user definable number of ABENDS occur during a specified time. All
information is stored in chronological order so that a history journal is
created.  This document represents a valuable history of every time the
server crashes due to faulty NLM's, disk drivers, OS errors, etc.. 

The Server Sentry Console allows administrators to view the ABEND history
file, including server register contents, actual screen images of the server
and the cause of the ABEND.  When supplied to Novell support staff or 3rd
party software developers, this information can save virtually hours, days
and sometime weeks in determining the cause of a system crash.




































                                                  Program Overview    1-3
CHAPTER 2                                              INSTALLATION


Hardware Requirements                                            2-2
What You Should Know Before Loading The Server Sentry NLM        2-2
Loading The Server Sentry NLM                                    2-3


                                                       Installation   2-1



HARDWARE REQUIREMENTS


A NetWare server.  Hayes compatible modem.


WHAT YOU SHOULD KNOW BEFORE LOADING THE SERVER SENTRY NLM!


The REMOVE DOS command should NOT be issued on the server console. Issuing
this command will cause NetWare to remove the DOS operating system from
memory and CAUSE SERVER SENTRY NOT TO SAVE ANY HISTORY INFORMATION.

If DOS is not resident, the Server Sentry override system switch (/R) must be
used in order for Server Sentry to automatically reboot the server.

In order for Server Sentry to page and notify network administrators of the
ABEND conditions, a modem must be installed in the file server.

If you plan to use the SSPAGE module to page network administrators when the
server is down, perform the following three steps:

1. From any available workstation, execute the SSENTRY program located in
     the  SYS:\SSENTRY directory. 

     *     Select  "SETUP PAGER OPTIONS" to generate the SSPAGE.INI file. 


(See "SETUP PAGER" Option for more information.)


2. Using Phantom Of The Console or RCONSOLE,  

     *    Copy the two files listed below to the DOS partition of the file
          server:

          SSPAGE.EXE     SSPAGE.INI


Customer Support (409)-335-6126
                                                       Installation   2-2
3. Using Novell's EDIT.NLM, 

     *    MODIFY the AUTOEXEC.BAT file to include a line that will execute
          the SSPAGE program upon bootup (see example AUTOEXEC.BAT file in
          the "SSPAGE UTILITY" Chapter).

     *    When all Server Sentry options have been set and installed, MODIFY
          the AUTOEXEC.NCF file to automatically load the SENTRY.NLM.


LOADING THE SERVER SENTRY NLM


To LOAD the Server Sentry NLM, type the following command at the server
console:

     *     LOAD SSENTRY /L=FILENAME /R


LOAD      The NetWare command for loading an NLM

SSENTRY   The Server Sentry NLM name

/L=FILENAME    Any valid filename located on the DOS partition of the file
               server. If the file does not exist, it will be created.
               However, any specified directory path must already exist.

/R        Instruct SSENTRY.NLM to reboot regardless of whether the ABEND
          information was written or not.  


REMEMBER:  If DOS is not present, the /R override system switch must be used.




















                                                       Installation   2-3
CHAPTER 3                                              THE SSPAGE UTILITY

                                                       SSPAGE Utility 3-1


SERVER SENTRY includes an executable program called SSPAGE.EXE.  During the
installation process, this MS-DOS program was copied to the DOS partition of
the file server.

In Chapter 9, you will establish the definition of a critical situation (the
network is down) on your network.  You will also be asked to define criteria
that will determine when an action should be taken, if there is this critical
situation.  Based on your input, Server Sentry will determine that your
criteria has been met.  Once Server Sentry has made this determination, the
SSPAGE program will carry out the orders.


=>Example:  If the file server ABENDS at least 2 times in one hour, someone
     will be notified.   

When the Server Sentry NLM re-boots the file server due to an ABEND, the 
SSPAGE program is executed upon bootup, from the AUTOEXEC.BAT file.  SSPAGE 
will then scan the ABEND history database and calculate the number of ABENDS
that have occurred within the specified time.  If the number of ABENDS meet
or exceed the requirement, SSPAGE will begin paging administrators.  After
all the instructed page requests have been made, SSPAGE will return the
specified error level to DOS for further batch processing.  


Review the example AUTOEXEC.BAT shown on the next page.






















                                                       SSPAGE Utility 3-2
     = >Example AUTOEXEC.BAT File

     @echo off
     cls
     SSPAGE
     if errorlevel 99 goto no_server
     cd\server.40
     server 
     goto end

     :no_server
     cd\nwclient
     call startnet
     f:
     login guest
     send server-1 has ABENDED to supervisor
     logout
     c:

     :end


In this example file:

SSPAGE is executed,

SSPAGE returns an  ERRORLEVEL 99, meaning the number of ABENDS has exceeded
the maximum number of ABENDS allowed by the network administrator,

SSPAGE has paged all administrators and finally,

The AUTOEXEC.BAT file will continue execution at the level :NO_SERVER,
logging into SERVER-1 and sending a broadcast message to the network
supervisor.


















                                                       SSPAGE Utility 3-3
CHAPTER 4                               USING THE SERVER SENTRY CONSOLE


Starting Server Sentry                                           4-2
View ABEND History Database                                      4-2
View ABEND Message                                               4-4
View Register Contents                                           4-5
View Server Screens                                              4-6


                                   Using The Server Sentry Console    4-1





STARTING SERVER SENTRY


The SSENTRY Console program is the utility used to view and manage the
information recorded by the Server Sentry NLM.  To execute the SSENTRY
Console, change to the SYS:\SSENTRY directory on the file server.  If the
file server is not running, the program can be executed from the DOS
partition of the file server by issuing the following command:

     *     SSENTRY

Available Topics Menu                                                 => =>


VIEW ABEND HISTORY DATABASE

The ABEND History Database will contain a list of all ABEND entries.  Each
ABEND entry will contain the ABEND message, register contents and server
screens active at the time of the ABEND.  To VIEW the list of ABEND entries, 

     *     SELECT   "View ABEND History Database"


 => Note:  MS-DOS must be present to record the ABEND history information. If
     DOS is not present, the history information will not be recorded.


The following screen will appear                                      => =>


     *    Enter the path to the file containing the ABEND history
          information.




                                   Using The Server Sentry Console    4-2
 => Note:  The ABEND history is recorded in the history file located on the
     DOS partition.  A history file is also located in the SYS:\SSENTRY
     directory.

When the SENTRY.NLM is loaded, the history file in the SYS:\SSENTRY directory
is updated from the history file located on the DOS partition.

The default path is SYS:\SSENTRY\ABEND.HST.  If the SSENTRY program is being
executed from the DOS partition of the file server, enter the history file
name as a logical DOS drive, path and file name.  i.e. C:\ABEND.HST

     *     Press <ENTER> to ACCEPT the history file name


Recorded ABEND Entries  Screen                                        => =>

This screen displays a list of  all recorded ABEND entries, including the
date, time and brief description of the ABEND.  


To VIEW more information regarding an ABEND, 

     *     Use the up/down arrow keys to highlight an entry, press <ENTER>


The Available Options menu will appear, listing 
the three types of data available about the ABEND                     => =>


                                   Using The Server Sentry Console    4-3






VIEW ABEND MESSAGE


To VIEW in detail the characteristics of the ABEND, 

     *     SELECT the "View ABEND Message" option


The exact ABEND Message Screen                                        => =>







                                   Using The Server Sentry Console    4-4
VIEW REGISTER CONTENTS


To VIEW a list of all server O/S registers and their contents at the time of
the ABEND,

     *     SELECT  the "View Register Contents" option


The exact register contents will appear in 
the Status Register At Time of ABEND Screen,                          => =>

The information displayed on this screen can be a major time saver in
debugging a problem.  This data is especially valuable to Novell support
staff, as well as 3rd party software developers in determining the cause of
the system crash.

                                   Using The Server Sentry Console    4-5



VIEW SERVER SCREENS


To Produce a LIST of all server screens that were active at the time of the
ABEND, 

     *     SELECT  the "View Server Screens" option


Available Screens List                                                => =>

Server Sentry stores the actual screen image, allowing you to view the event
as it actually took place on the server. 

To VIEW a screen IMAGE, 

     *     SELECT the SCREEN name from the list,  <ENTER>


The screen image will be displayed.  When FINISHED viewing the screen, 

     *     Press <ANY KEY>  to RETURN to the "Sentry Sentry Menu".


When finished viewing an ABEND entry, 

     *     Press <ESC>  and RETURN to the list of ABEND entries. 

To EXIT from the SSENTRY program, 

     *     Press <ESC>.
                                   Using The Server Sentry Console    4-6
CHAPTER 5                                              PRODUCING REPORTS

ABEND Technical Data Only                                        5-3
Cost Analysis                                                    5-3
ABEND Technical Data With Cost Analysis                          5-3


                                                  Producing Reports   5-1






All the information that is viewable from the Server Sentry Console can be
printed in report format. 


To PRODUCE an ABEND REPORT listing, 

     *     Highlight the ABEND to be included in the report,  press <F3> 


To  INCLUDE  MULTIPLE  ABENDS in the report, 

     *     Press <F5> to MARK an ENTRY


When all ABEND entries have been marked, 

     *     Press <F3>


The Report Option Menu offers the available items to be included in the
report.

     *     Select Report Option


Report Option Menu                                                    => =>


The three available Report Options are as follows:

Option 1: ABEND Technical Data Only


     This report will contain the following information:

     ABEND Message        OS Register Contents
     Active Screen Names      Total Downtime For ABEND

                                                  Producing Reports   5-2
Option 2:  Cost Analysis Only


This report will contain the following information:

     Total Number Of ABENDS 

     ABENDS during peak business hours 

     ABENDS during non-peak business hours 

     Total amount of downtime recorded 

     Cost of downtime with server sentry installed 

     Estimated cost of downtime without server sentry installed

     Estimated downtime savings with server sentry installed



Option 3:  ABEND Technical Data With Cost Analysis


This report will contain all the ABEND technical data and a summary of the
downtime cost information, as listed above.


To SELECT the report format, 

     *    HIGHLIGHT the OPTION,   press <ENTER>


The Report Output Destination menu lists 
the options for directing the report                                  => =>


All the Server Sentry reports can be directed to a printer or disk file.  


To DIRECT report OUTPUT to the LPT1 port,

     *     Select PRINTER









                                                  Producing Reports   5-3
To DIRECT the report  OUTPUT  to a FILE,

     *     SELECT  "Disk File option


ENTER Output Filename Screen                                          => =>


View Report Output   

When the report is complete, the 
screen will prompt  to view the file                                  => =>


To VIEW the report OUTPUT,

     *     Select YES


Report Output Screen                                                  => =>


Use the page up/page down or arrow keys to scroll through the report output.

     *     Press  <ESC>  to RETURN to the ABEND listing 



























                                                  Producing Reports   5-4
CHAPTER 6                          MANAGING COST REPORTING CATEGORIES


View Categories                                                  6-2
Modify Or Delete A Category                                      6-4
How Calculations Are Performed                                   6-5





                                   Managing Cost Reporting Categories 6-1








MANAGE COST REPORTING CATEGORIES

Server Sentry allows the network manager to create an unlimited number of
custom categories representing the costs associated with network downtime.  
Each category that you create will require the entry of an average cost per
hour during peak and non-peak business hours. These cost categories are then
computed and detailed in the Cost Analysis Reports.


COST CATEGORIES

To VIEW the list of Available Cost Categories,

     *    SELECT "Manage Cost Reporting Categories" option from the Server
          Sentry "Main Menu"


The Available Cost Categories Screen                                   => =>

Reporting Categories allow you to define in detail all the costs associated
with server downtime.  

The list of cost categories shown above are categories that have already been
defined.  To ADD a new CATEGORY,

     *     Press <INS>


The "Cost Category" Screen                                             => =>



                                   Manage Cost Reporting Categories   6-2
Description         Enter the description of the cost category.

=> Example:  Sales, Overtime, Downtime, Lost Profits, Lost Interest on Cash
     Deposits, Aggravation Factor, etc..

Cost Per Peak Business Hour        Enter the dollar amount representing the
     cost per hour to your company when the file server is down during Peak 
     Business Hours.

Cost Per Non-Peak Business Hour         Enter the dollar amount representing
     the cost per hour to your company when the file server is down during
     Non-Peak Business Hours.


When all entries have been made, 

     *     Press <ESC> to SAVE the information.




                                   Manage Cost Reporting Categories   6-3






MODIFY OR DELETE A CATEGORY

To MODIFY a Cost Category, 

     *     Highlight the desired category in the list,   Press <ENTER>


The Cost Category form will be displayed with information regarding the
selected category.

     *     CHANGE  the information,  press <ESC> to SAVE.


To DELETE a Cost CATEGORY, 

     *     Highlight the desired CATEGORY,    Press <DEL>


Confirmation is required before the file will be deleted             ==> ==>

When  FINISHED managing the Cost Categories,

     *     Press <ESC> to RETURN to "Main Menu"

                                        Manage Cost Reporting Categories  6-4
HOW CALCULATIONS ARE PERFORMED


On the cost analysis report, there are pages for defining downtime during
peak business hours and downtime during non-peak business hours. Each cost 
category will be itemized with the dollar amount for the amount of downtime
indicated. 

The following formulas are used to generate the dollar amounts:

For calculating actual Peak Downtime, the formula is:
     Actual Peak Downtime X (Category Cost Per Peak Hour / 3600) =  Category
     Cost

For calculating actual Non-Peak Downtime cost, the formula is:
     Actual Non-Peak DownTime X (Category Cost Per Non-Peak Hour / 3600)  =
     Category Cost

For calculating estimated Peak Downtime, the formula is:
     (Num ABENDS x (Min Response Time ON))  x  (Category Cost Per Peak Hour
     / 3600) = Category Cost

For calculating estimated Non-Peak Downtime cost, the formula is:
     (Num ABENDS x (Min Response Time Off)) x  (Category Cost Per  NonPeak
     Hour / 3600) = Category Cost


After all categories have been calculated, the actual downtime cost is
subtracted from the estimated downtime cost, to arrive at an estimated
downtime saving.






















                                   Manage Cost Reporting Categories   6-5
CHAPTER 7                               SERVER SENTRY CONFIGURATIONS

Define Business Hours                                            7-2
Set Server Sentry Unload Password                                7-4
Set-Up Pager Options                                             7-6
Pager Configuration                                              7-7



                                        Server Sentry Configurations  7-1











DEFINE BUSINESS HOURS


In order for Server Sentry to calculate your company's down time costs, basic
information must be provided.  This area of the program allows the definition
of normal business hours, expected response times, etc..

To DEFINE your business HOURS, 

     *     SELECT  the "Define Business Hours" option from the main menu.


Server Sentry Configuration                                           => =>


The fields included on this form are defined below:

Company Name   Enter the name of the company to be shown on all reports,
     where this copy of Server Sentry is installed.

Administrators Name      Enter the name of the network administrator that is
     responsible for this file server. 









                                        Server Sentry Configurations  7-2
Peak Business Hours From  NN:NN:NN  To  NN:NN:NN   Enter the prime business
     hours for normal operations.

=> Example:  8:00am to 5:00pm.  


To  SELECT  or CANCEL a DAY that these hours apply,

     *     Press  <Any  Key>


Network Personnel On-Site From NN:NN:NN to NN:NN:NN         Enter the hours
     that network personnel are on-site to respond and resolve to network
     failures.  

     *     SELECT each DAY that these hours apply


Expected Response Time, When Network Personnel Are On-Site       Enter the
     amount of time that normally expires before a network manager determines
     that the file server is down, and restarts the server.

Expected Response Time, When Network Personnel Are Off-Site      Enter the
     amount of time that normally expires before a network manager is
     notified that the file server is down, travels to the site and restarts
     the server.  The information entered in this form will be used when
     producing cost  analysis reports.


     *     COMPLETE each FIELD as needed, 


     *     Press  <ESC>  to  SAVE changes.



















                                        Server Sentry Configurations  7-3
SET SERVER SENTRY UNLOAD PASSWORD


Server Sentry offers security and protection, barring unauthorized and
accidental unloading of the SSENTRY.NLM.  When an UNLOAD SSENTRY command is
issued on the NetWare Server, Server Sentry will create a screen and prompt
for the password.  If the correct password is entered, the NLM will unload. 
If the incorrect password is entered, the following message will be displayed
and Server Sentry will continue to operate as usual:

     "Sorry, Server Sentry cannot be unloaded without the proper password"


The DEFAULT UNLOAD PASSWORD for Server Sentry is UPTIME.

     *      To CHANGE the PASSWORD, 


     *     SELECT  "Set Server Sentry Unload Password" option,


     *     IDENTIFY YOURSELF,      ENTER Your  "OLD  PASSWORD" 


Enter The  Password  that  you are using right now                    => =>


=> Note: If this is the first time you are changing the password, remember
     the default password is  UPTIME.

                                        Server Sentry Configurations  7-4




To PROCEED after your old password has been VERIFIED, 

     *     Press <ENTER>.


The Enter New Password  screen  will prompt for the new password      => =>

     *     ENTER  the NEW PASSWORD to be used when unloading the SSENTRY.NLM.


Server Sentry will prompt for the new password again.

To VERIFY your NEW PASSWORD, 

     *    ENTER the NEW PASSWORD AGAIN,  exactly as it was entered on the
          previous screen. 

                                        Server Sentry Configurations  7-5
Password Verification                                                => =>

After the new password has been entered, 

Server Sentry will CONFIRM the CHANGE                                 => =>


=> CAUTION:    If any errors have occurred, You Will Be Notified that the
               PASSWORD WAS NOT CHANGED.




SET-UP PAGER OPTIONS


The "Setup Pager Options" menu allows network managers to define and edit the
pager parameters.  These parameters are stored in the SSPAGE.INI file. All
the information on the Paging Module Parameters form will be written to the
SSPAGE.INI file located in the SYS:\SSENTRY directory.

The SSPAGE.INI file instructs the SSPAGE utility how to configure modems, who
will get paged, when to perform notifications, etc..

     *     SELECT the "Setup Pager Options" from the main menu.


Paging Module Para- meter Form                                        => =>


All the fields shown on the form above are accessed using the up/down/left
/right/pgup/pgdn keys.  


When EDITING  has been COMPLETED, 

     *     Press <ESC> to SAVE changes.  


Confirmation will be required before the entries are saved.  

=> Note:  The SSPAGE.INI file must then be copied to the DOS partition of 
     the file server where the SSPAGE utility is located.









                                        Server Sentry Configurations  7-6
PAGER CONFIGURATION


The following fields are provided on the "Pager Configuration" form:

COM Port       Is a pop-up list field that allows selection of a COM port
     that the modem is connected to. The values are COM1 -COM4

Baud Rate      Is a pop-up list field that allows selection of a baud rate to
     initialize the modem for dialing. The values are 300 bps -- 19200 bps

Parity         Is a pop-up list field that allows selection of a parity
     setting for modem initialization. The values are Odd, Even, Mark, None
     and Space.

Wordlen   Is a pop-up list field that allows selection of a wordlen setting
     for modem initialization. The values are 7 and 8.

Stopbits       Is a pop-up list field that allows selection of a stopbit
     setting for modem initialization. The values are 1 and 2.

Modem Init     A string to send to the modem for initialization purposes. 
     Refer to the  owner's manual of your modem for initialization strings.

Response Number For Digital Pagers      A response number to be sent to
     digital pagers. This can be any sequence of numbers and dashes. It is
     best to use codes that are easily identified.

=>  Example:  911-12 may indicate that server 12 has ABENDED


Message For Alpha Pagers      A text message to be sent to alpha numeric
     pagers. This can be any text  string.



















                                        Server Sentry Configurations  7-7
History Database File    The path name of a history file that is created by
     the SSENTRY NLM.  SSPAGE  will scan this file for history records to
     determine if action is required.  This file may be named anything, but
     is only created by the SSENTRY NLM in the server's DOS partition.

Take Action When    The number of ABENDS that may occur before an action is
     taken, such as paging administrators, etc..

ABENDS occur within nn (minutes)        The amount of time to sample the
     number of ABENDS that occur. This value combined with the "Take Action
     When" determines if an action will be taken.

=>  Example: Using the default values, of 2 and 5. Two ABENDS that occur
     within a five minute time span would cause an action to be taken, such
     as paging administrator or performing other batch processing.

ERRORLEVEL to return when action is required      An error level to return
     when an action is required due to the number of  sequential ABENDS. This
     error level will be returned to DOS, and may be  tested within a batch
     file using DOS batch file "IF ERRORLEVEL nn goto"  logic.

Pagers    This is a list of pagers to be notified if the number of ABENDS and
     frequency criteria have been met.  To EDIT the LIST, 

     *     HIGHLIGHT  the  LIST and press <ENTER> 


Once in edit mode, the following keys are available:

INSERT    ADD a new pager to the list.  When pressing the <INS> key, 


Pager Information Form                                                => =>


















                                        Server Sentry Configurations  7-8

     *     COMPLETE all of  the FIELDS on the form,

     *     Press  <ESC> 


Confirmation will be required to save the changes. After inserting a new
pager, the new information will be displayed in the pager list.

Name           The name of the person that carries the pager you are
     defining.

Number For Alpha Paging Switch     If this is an alpha pager, enter the
     number of the switch unit that controls this pager. The number entered
     here will be dialed to send an alpha message to the pager. This number
     should be available from the carrier of the pager, or the paging
     company.  If this is not an alpha pager, leave this field blank.

Pager Number or PIN      Enter the pager number, sometimes referred to as a
     PIN. For alpha pagers,  enter the alpha pager number. For digital
     pagers, enter the number that will be dialed to send a digital message.

On Call   Enter the beginning and ending hours that this pager should be
     called.  If  hours are 00:00 to 00:00 the pager is considered on call 24
     hours. If an  ABEND occurs outside of the hours specified, the pager
     will NOT be notified.

Days Select         ENTER the days of the week that this pager is 
     available for calls                                              => =>

     *     Press  <DEL> to REMOVE a day  OR  <INS> to ADD a day


=> Note:  If an ABEND occurs outside of the days specified, the pager will
     NOT be notified.


















                                        Server Sentry Configurations  7-9
Enter  Modify       An existing pager entry.  To MODIFY a pager ENTRY, 

     *     HIGHLIGHT the desired PAGER in the list,  press <ENTER>


The Pager Information form will be displayed containing information regarding
the selected pager.

     *     MAKE all necessary CHANGES,

     *     Press  <ESC>. 


Confirmation will be required to save the changes.  After saving the changes,
the pager list will reflect the updates.

Delete    <DEL> Remove a pager entry.  To REMOVE a pager entry, 

     *     HIGHLIGHT  the desired PAGER in the list, press <DEL> 


Confirmation will be required before  the pager is deleted. After confirming
the deletion, the pager will be removed from the list.


Escape    <ESC> End editing the list,

     *    To  EXIT  the EDIT MODE and navigate other areas of the form,

     *     Press <ESC> 






















                                        Server Sentry Configurations  7-10
CHAPTER 8                                    SERVER SENTRY MISCELLANEOUS


Testing The Server Sentry NLM                                    8-2
Sample ABEND History Report                                      8-4
Downtime Cost Analysis Overview                                  8-6



                                        Server Sentry Miscellaneous   8-1






TESTING THE SERVER SENTRY NLM


To test the Server Sentry Program to your satisfaction, we have included the
CRASH.NLM.  This NLM will cause a "general protection processor exception" on
the file server by reading and writing to memory that it does not own.  

CAUTION:    THIS NLM SHOULD ONLY TO BE USED FOR TESTING THE SERVER         
                    SENTRY  NLM !!!!!!!!!!!!


To BEGIN the SSENTRY NLM test, 

     *     LOAD the SSENTRY.NLM on the file server.


From the file server console, type 

     *     LOAD SYS:\SSENTRY\CRASH. 


The following screen will be displayed:

     =========================================================
     WARNING:

     THIS NLM WILL ABEND THE FILE SERVER IN ORDER TO TEST THE
     SSENTRY.NLM!!!!!!!!!!!!

     DO YOU WISH TO ABEND THE SERVER NOW (Y/N)? y 

     ARE YOU REALLY SURE YOU WANT TO DO THIS (Y/N)? y 

     ARE YOU REALLY REALLY SURE YOU WANT TO DO THIS (Y/N)?  y 
     ==========================================================

                                             Miscellaneous       8-2
To CAUSE the server to ABEND, 

     *     Answer YES to all the questions above. 


Server Sentry will intercept the ABEND, record all the information and 

                    REBOOT  THE  FILE  SERVER!!


To VIEW the ABEND HISTORY database and all of the information recorded for
this ABEND, 

     *     RUN the "Server Sentry Console Program"


If you are unsure on how to do this, refer to Chapter 4, subheading "Viewing
The ABEND History Database".


































                                                  Miscellaneous       8-3
SAMPLE ABEND HISTORY REPORT


     ********************************************************************
     ABEND History Listing
     File Server TEKO-1
     Tue November 29 1994  17:03:07 PM              Page: 1

     ====> ABEND Logged      Friday  November 18, 1994  10:19:43 am <==== 
     ====> Server Restored   Friday  November 18, 1994  10:25:42 am <==== 
     System halted Friday  November 18, 1994  10:25:42 am 
     ABEND: General Protection Processor Exception (Error code 00000000)
     OS Version: Novell NetWare v3.11 (250 user) 2/20/91
     Running Process: crashServer     0 Process
     Stack: 01 00 00 00 55 04 E8 1F 00 FA B4 01 CD 1A 8F 06
     DA 05 FB 80 3E B0 08 00 74 0B 2E FF 16 C1 08 FA
     B4 05 75 00 C0 01 02 00 8E 9C 7C 00 18 E5 75 00
     E8 04 00 00 18 C6 75 00 CE 09 02 00 18 E5 75 00
     DF A5 7C 00 18 E5 75 00 00 C6 75 00 79 00 00 00

     Press "Y" to copy diagnostic image to diskette.Otherwise Power 
     off & back on to restart.
     *********************************************************************

     ====> OS Registers At Time Of ABEND <==== 

     Exception Number : 00000013 
     Error Code             : 00000000
     Info Flags               : 00000003
     EDI       : 07718328
     ESI       : 00004126
     EBP       : 07718428
     ESP       : 07718324 
     EBX       : 00131768
     EDX       : 01649180
     ECX       : 00000000
     EAX       : 00000000
     EIP       : 00004660
     EFLAGS    : 00066054











               

                                                  Miscellaneous       8-4
      ====> Active Screens At Time Of ABEND <==== 

     System Console
     Debugger Screen 
     NetWare 386 Print Server 
     Monitor Screen 
     Crash Screen


      ====>      Total Downtime, This ABEND     <==== 

     5 Minutes 59 Seconds.


     Techo-Corp - Bob Dillan
     Server Sentry v5.10 Copyright (C) 1994,95 Circuit Masters Software, Inc.




































                                                  Miscellaneous       8-5
SAMPLE DOWNTIME COST ANALYSIS REPORT

     *************************************************************** 
     Downtime Cost Analysis Overview
     File Server TEKO-1
     Tue November 29 1994  17:28:48 PM                       Page: 1
     File Server                            : TEKO-1 
     Total ABENDS Logged                    : 1 
     ABENDS During Peak Business Hours      : 1 
     ABENDS During Non-Peak Business Hours  : 0

     First ABEND Occurred
     Friday  November 18, 1994  10:19:43 AM

     Last ABEND Occurred
     Friday  November 18, 1994  10:19:43 AM

     Total Downtime Recorded Since Fri Nov 18 10:19:43 1994
     5 Minutes 59 Seconds 

     Up-time Since Last Incident On Fri Nov 18, 1994
     11 Days 7 Hours 9 Minutes 5 Seconds 

     Techo-Corp - Bob Dillan
     Server Sentry v5.10 Copyright (C) 1994,95 Circuit Masters Software, Inc.


     Peak Downtime Cost Analysis

     File Server TEKO-1
     Fri November 18 1994  19:16:37PM                        Page : 1

     Total Peak Downtime With Server Sentry
     5 Minutes 59 Seconds

     Estimated Peak Downtime Without Server Sentry

     15 Minutes 0 Seconds 

     Peak Downtime Cost Detail - Actual 

     Bonuses                                 $      2493.06 
     Lost Sales                              $      4986.11 
     Non - Recoverable Waste                 $      7977.78 
     Overtime                                $     49861.11
     Actual Cost Of Peak Downtime            $     65318.05






                                                  Miscellaneous       8-6
     Peak Downtime Cost Detail - Estimated 

     Bonuses                                 $      6250.00 
     Lost Sales                              $     12500.00 
     Non - Recoverable Waste                 $     20000.00 
     Overtime                                $    125000.00

     Estimated Peak Downtime Cost, without Server Sentry    $   163750.00 

     Less Actual Downtime Cost With Server Sentry           $    65318.05

     Estimated Peak Downtime Savings                        $    98431.94

     Techo-Corp - Bob Dillon
     Server Sentry v5.10 Copyright (C) 1994,95 Circuit Masters Software, Inc.
     *********************************************************************




































                                                  Miscellaneous       8-7
CHAPTER 9                                                   MISCELLANEOUS


Customer Support                                                      9-2
Product Updates                                                       9-3
Our Products Include                                                  9-4
To Order This Product                                                 9-4





                                                  Miscellaneous       9-1












CUSTOMER SUPPORT


Server Sentry is backed by a customer support system designed to offer you
prompt and courteous service. If you have exhausted all other HELP avenues
and need a friendly voice to help you with your problem, follow these steps:

     *    Try to duplicate the problem, keystroke by keystroke, to see
          exactly what was done. Document each move.

     *    Be at your computer when you call Customer Support. Have your
          manual and license number handy.

     *    If possible, fax us any details or pertinent information ahead of
          time that may help us understand and resolve your problem.

     *    Call Circuit Masters Software, Inc. on our direct  technical
          support line at (409) 335-6126.


Circuit Masters Software, Inc. offers a 24 hour BBS.  This service contains
fully functional demo packages, update documentation, product literature,
etc..  

                    Our BBS number is 409-335-4786.


                                                  Miscellaneous  9-2
PRODUCT UPDATES


If any changes have been incorporated into the software that are presently
not reflected in the manual or documentation, a READ.ME file will be located
on the original Server Sentry Installation Diskette and in the directory
specified during the installation process.

If applicable, you will have the opportunity to view this file upon the
initial installation. 

The READ ME file will also be copied into the Server Sentry directory.

     *     Print this file and attach it to your User's Manual.


To receive notices concerning product updates and new product releases, 

     *    FILL OUT and MAIL BACK the User Registration Card.  


Mailing back this Card is the only method that will ensure that you are added
to our mailing list.





























                                                       Miscellaneous  9-3
OUR PRODUCTS INCLUDE


PHANTOM OF THE CONSOLE (BASIC)  Order #PC5000.  The Original Console
Scheduler.  This powerful scheduler NLM automatically monitors and executes
any valid NetWare command, NCF file or Phantom Command File.  Simple
scripting language adds workstation capabilities to the server using
If...Then, while & repeat loops, macros and user defined variables.  Utilize
commands in scripts like: attach, break, console, copy, date delete, delay,
dir dspace, edit, echo, goto, help, killuser, login, walktree, xcopy
(supports the DOS partition) and many more.  Use a Phantom Command file to
automate most any situation.

     Includes DOS & Windows Interface.  Access job lists, server console or
execute a job to run immediately.  Fully automate back-up procedures
(including back-up of the DOS partition) by automatically starting & stopping
NLM's.  Send keystrokes directly to NLM screens, automating SBACKUP and other
menu driven NLM's.  Run multiple processes simultaneously.  Increased
security includes password protection, encrypted batch files and control of
volumes when not in use. Reporting utility documents date, time, description
of the job, commands executed and job results.  Automatically logoff users. 
Perform automatic file transfers routinely or based on pre-defined criteria. 
Move print jobs between queues.  Send broadcast messages and much more.

     PHANTOM OF THE CONSOLE (GOLD)  Order # PG5000.  Includes all of the
features of the Basic package and much more.  Avoid potentially catastrophic
network scenarios by automatically responding to NetWare O/S alerts, database
messages & other network monitoring packages.  Avoid down time or loss of
data on the network.  

     Automatically resolve network problems as they occur using pre-defined
solutions.  The Gold offers file operations such as copy, move, delete,
rename, flag, etc.  on remote servers, as well as local servers. 
Harness the power of idle workstations.  Execute jobs requiring DOS platforms
like: database consolidation, produce reports, run client based applications,
manipulate large database files, etc.. Distribute an unlimited number of
interactive tasks from a server to client workstations and control these
tasks from the server.  Schedule jobs on the workstation and the server. 
Includes 5 client agents.

     PHANTOM OF THE CONSOLE (PLATINUM)  Order # PP5000.  The ultimate network
automation solution, including all of the features of the Gold and more. 
Includes 2 Server Sentry NLM's, 2 Volume Sentry NLM's, 2 CORA NLM's, 2 server
agents with all of the features of the Gold, and 20 client agents.








                                                       Miscellaneous  9-4   Upgrade Express Order #UE4000. The right stuff in "Electronic Software
Distribution" on both the LAN and the WAN, at the price you have been waiting
for.  Upgrade Express offers complete enterprise control from a central
location.  Features include:  hierarchical distribution schema, DOS & Windows
interface, progress/status reporting features, user notification
capabilities, keyboard/mouse record playback, copy/move/delete files,
push/pull technology, hardware/software inventory, true "rollback" UNDO
feature, powerful scheduling capabilities, Windows INI & text file editing,
set file attributes, Windows program manager control, supports all major
networks & more.  

     VOLUME SENTRY   Order # VS5000.  Automate the volume repair process on
NetWare file servers.   When a volume cannot mount or is dismounted due to
errors, Volume Sentry takes over and runs VREPAIR to repair and mount the
defective volume.  Volume Sentry will retry until the volume is mounted or
until a user  specified number of retries has been reached.  All actions are
recorded  into a log file.

     STAY-UP  Order # SU4000.  Automatically reboot NetWare services 24 hours
a day.  No more running from machine to machine trying to re-establish
connections with the file server.  StayUp is a TSR utility program which
automatically reboots and re-establishes the network connection for : 
dedicated print servers, tape back-ups, fax servers, network bridges, mail
gateways, E-Mail servers, dial-up gateways, CD-ROM servers, network gateways,
unattended workstations, mainframe connections, BBS's, etc..  Runs on all
versions of NetWare.  Takes less than 2K of RAM.

     Z-MENU   Order # ZM4000.  The last word in menu systems.  Features
include:  shadow menus, custom help screens, 39 programmable function keys,
password support, desktop background configurable, customizable menu
borders-single & double, mouse support, moveable menu windows, customizable
menu header, converts Novell & Saber formats, compiled menus for added
security, hotkey access utilities anywhere within menu, desktop accessories
& more.  Runs on NetWare 286 V2.XX, NetWare V3,XX & V4.XX.  0K RAM overhead
on item execution.

     CORA   Order # CO5000.  Console Output Recording Agent for Novell File
Servers.  This NetWare Loadable Module will record any screen output on the
file  server to a log file. This information can then be reviewed later when 
network personnel are available. Useful for documenting boot sequences, error
recording etc. Runs on NetWare V3.X & 4.x.

     SERVER CAM   Order # SC4000    A revolutionary NLM that emulates a
time-lapse video recorder connected to the server console.  Each command that
is typed and each screen that is selected, updated, created or destroyed,
etc. is recorded real-time in a ServerCam video file.  When played back you
see all of the events, exactly when and as they happened on the server,  in
real video images (not an ASCII log file) ! 
     VCR-like controls such as Fast Forward, Reverse, Pause, etc. allow you
to view & navigate the video file at your own pace & convenience.  Date/time
& frame counter are optionally displayed on the screen during playback.  Run
surveillance on any server.  Use for problem solving, training, quality
control, documentation and much more.
                                                         Miscellaneous  9-5
HOW TO ORDER A PRODUCT


To order any of our Products, please call our toll free number at  
(713) 242-9353.  

Your Purchase Order  or  Request For Quote will be accepted direct to fax
number (713) 242-4632.  Our Payment Terms are net 30 days.  Delivery is the
same day your order is received in our office.  Shipping unless otherwise
specified, is U.S. Express Mail (next day).

Multi-server and Site License Pricing is available upon request.

We have distributors in many states and many countries.  Please call for the
distributor nearest you or send fax request to (713) 242-4632.

For technical assistance or customer support, please call (409) 335-6126.

Download fully functional & documented demos for each of our Products,
updates, patches, etc., from our 24 hour BBS.  (409) 335-4786.

We can also be reached on CIS:  72103, 2327.






























                                                       Miscellaneous  9-7


HOW LONG HAVE YOU KNOWN ?



THE TOP FIVE PRIORITIES FOR NETWORK MANAGERS ?

Increase productivity 
Reduce down time 
Reduce computing/communications costs 
Fine-tune network performance 
Plan for a growing computing infrastructure





COST OF NETWORK DOWNTIME PER HOUR:

19% said between $ 5,000.00 and $ 10,000.00 per hour 
24% said between $ 10,000.00 and $ $ 50,000.00 per hour 
14% said between $ 50,000.00 and $ 100,000.00 per hour


WHAT ARE YOUR COSTS ?




Circuit Masters Software, Inc.'s Products offer you instant benefits,
including an immediate return on your investment !


